body {
  background: #fff;

  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  box-sizing: border-box;
  /* border: 10px solid transparent;
  transition: border 0.5s; */
}
html {
  font-size: 16px;
  line-height: 1.4;
}
.page {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: center;
  position: relative;
}
.body {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* border: 0.5rem solid transparent;
  transition: border 0.5s; */
  padding: 3rem 1.5rem;
  max-width: 35.5rem;
  margin: 0 auto;
}

.title {
  font-size: clamp(1.5rem, 5vw, 2rem);
  font-weight: 700;
  text-align: center;
  line-height: 1.1;
  margin: 0;
}
.text {
  font-size: 1.2rem;
  font-size: clamp(1rem, 3vw, 1.2rem);
  font-weight: 400;
  text-align: center;
  margin: 0;
}

body,
html {
  height: 100%;
  min-height: 100%;
  width: 100%;
  /* overflow: hidden; */
}
.qr-image {
  margin: 1rem auto;
  margin-left: -1.5rem;
  margin-right: -1.5rem;
}
#qr_code {
  width: 100%;
  height: auto;
}

#video {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#login {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.status {
  display: none;
  position: fixed;
  bottom: 0;
  left: 0;
  margin: 5px;
  z-index: 1000;
  max-width: 50vw;
  font-size: 0.8rem;
}
.status > div {
  background: rgba(0, 0, 0, 0.7);
  color: white;
  margin: 5px;
  padding: 5px;
  border-radius: 3px;
}
.controls {
  position: fixed;
  bottom: 0;
  right: 0;
  margin: 0;
  z-index: 1000;
}

.overlay {
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 1000;
  transform: translate(-50%, -50%);
  background: #ffffff;
  color: #000;
  width: 50vw;
  height: 50vh;
  max-width: 35rem;
  max-height: 48rem;
  display: flex;
  align-items: center;
  border: 10px solid #fff;
}
.overlay__body {
  flex: 1;
  padding: 1rem;
  text-align: center;
}

body[data-status="0"] {
  border-color: #f0f0f0;
}

body[data-status="1"] {
  border-color: #e0e0e0;
}
body[data-status="ok"],
body[data-status="ok"] .overlay {
  border-color: #8bc34a;
}
body[data-status="ok"] .overlay {
  color: #8bc34a;
}
body[data-status="ko"],
body[data-status="ko"] .overlay {
  border-color: #d22014;
}
body[data-status="ko"] .overlay {
  color: #d22014;
}
#overlay {
  display: none;
}
#canvas {
  display: none;
  /* object-fit: cover; */
  /* display: none; */
  /* position: fixed;
  z-index: 1000;
  top: 0;
  right: 0; */

  /* width: 50vw;
  height: 50vh; */
}
button {
  appearance: none;
  background: none;
  padding: 1rem;
  border: none;
  cursor: pointer;
  background: rgba(255, 255, 255, 0.9);
  transition: all 0.5s;
  line-height: 1;
  font-size: 1rem;
  color: inherit;
}
button:hover {
  background: rgba(255, 255, 255, 1);
}

button svg {
  width: auto;
  height: 2rem;
}

.result {
  text-align: center;
  margin: 1em 0;
}

.loader {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
}
.is-loading .loader {
  display: block;
}
.loader__icon {
  width: auto;
  height: 2rem;
  position: absolute;
  top: 50%;
  left: 50%;
  line-height: 1;
  transform: translate(-50%, -50%);
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

#target {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50vw;
  height: 50vw;
  max-width: 20rem;
  max-height: 20rem;
  border: 2px dashed #000;
  z-index: 1000;
}

#test {
  display: none;
  position: absolute;
  top: 0%;
  left: 0%;
  border: 2px dashed red;
  z-index: 1000;
}

#body {
  position: fixed;
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  line-height: 0;
  pointer-events: none;
}

.btn {
  appearance: none;
  border: 1px solid #000;
  background: #fff;
  color: #000;
  border-radius: 3px;
  padding: 1em 2em;
  font-size: 1rem;
  cursor: pointer;
  text-transform: uppercase;
  line-height: 1;
  font-weight: 700;
  display: inline-block;
  transition: all 0.3s;
}
.btn:hover {
  background: #000;
  color: #fff;
}

.form {
  margin: 1rem 0;
  display: flex;
  flex-direction: column;
  width: 100vw;
  max-width: 20rem;
}
input[type="password"] {
  appearance: none;
  border: 1px solid #000;
  background: #fff;
  color: #000;
  border-radius: 3px;
  padding: 1em;
  font-size: 1rem;
  margin: 0.5rem 0;
}

.header {
  padding: 2rem 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.header img {
  width: 60%;
  max-width: 300px;
  height: auto;
}

.footer {
  background: #212121;
  color: #fff;
  padding: 1rem;
  font-size: 0.8rem;
  line-height: 1.2;
  overflow: hidden;
}
.footer a {
  color: #fff;
  text-decoration: underline;
}
.text p,
.footer p {
  margin: 1em 0;
}
.footer .inner {
  max-width: 35.5rem;
  margin: 0 auto;
}
